Results 1 to 4 of 4

Thread: H.264 decoder in Firefox

  1. #1

    Default H.264 decoder in Firefox

    Hi all,

    I am not able to get the video in the iTunes movie trailer website to play. iTunes Movie Trailers
    When I try to play a video an error message comes up as something like:
    PackageKit.gstreamer.plugin not able to find H.264 decoder

    This has been discussed in a previous post: H.264 Codec & Mplayer

    I have also done some reading and the gstreamer-plugin-bad package has ah H.264 parser, but does that also decode?

    I was just wondering if there are new ideas for solving the problem are out there.

    FYI: I have updated my packages to the Packman repo: http://forums.opensuse.org/english/i...ml#post2180319, tried installing and activating both the VLC and MPlayer plug-ins for firefox and am running Firefox 3.6.10 in an up-to-date OpenSuse 11.3 with Gnome

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,053
    Blog Entries
    16

    Default Re: H.264 decoder in Firefox

    Check you have followed this first:
    Multi-media and Restricted Format Installation Guide

    You need all the gstreamer packages from packman and also h264enc and x264

    Check this too: Check your multimedia problem in ten steps

    I needed to add this repo
    Index of /repositories/openSUSE:/11.3:/Contrib/standard
    to get (pv) which was a dependency
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  3. #3

    Default Re: H.264 decoder in Firefox

    Great, it works!

    For the record I had previously followed the steps in the aforementioned guides, but still had to install the h264enc, and the gstreamer-plugin-ugly packages.

    Thanks for the help,
    Ken

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,053
    Blog Entries
    16

    Default Re: H.264 decoder in Firefox

    Quote Originally Posted by Kerobe View Post
    Great, it works!

    For the record I had previously followed the steps in the aforementioned guides, but still had to install the h264enc, and the gstreamer-plugin-ugly packages.

    Thanks for the help,
    Ken
    Great. Because it can be tricky. Well done
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •